Loading...
Searching...
No Matches
OsiClpSolverInterface.hpp File Reference
`#include <string>`
`#include <cfloat>`
`#include <map>`
`#include "ClpSimplex.hpp"`
`#include "ClpLinearObjective.hpp"`
`#include "CoinPackedMatrix.hpp"`
`#include "OsiSolverInterface.hpp"`
`#include "CoinWarmStartBasis.hpp"`
`#include "ClpEventHandler.hpp"`
`#include "ClpNode.hpp"`
`#include "CoinIndexedVector.hpp"`
`#include "CoinFinite.hpp"`
Include dependency graph for OsiClpSolverInterface.hpp:

Go to the source code of this file.

## Classes

class | OsiClpSolverInterface
| Clp Solver Interface. More...
class | OsiClpDisasterHandler

## Functions

bool | OsiClpHasNDEBUG ()
void | OsiClpSolverInterfaceUnitTest (const std::string &mpsDir, const std::string &netlibDir)
| A function that tests the methods in the OsiClpSolverInterface class.

## Variables

static const double | OsiClpInfinity = COIN_DBL_MAX

## Function Documentation

## OsiClpHasNDEBUG()

bool OsiClpHasNDEBUG | ( |  | ) |

## OsiClpSolverInterfaceUnitTest()

void OsiClpSolverInterfaceUnitTest | ( | const std::string & | mpsDir,
|  | const std::string & | netlibDir )

A function that tests the methods in the OsiClpSolverInterface class.

## Variable Documentation

## OsiClpInfinity

const double OsiClpInfinity = COIN_DBL_MAX

static

Definition at line 27 of file OsiClpSolverInterface.hpp.